{% extends 'base.html.twig' %}

{% block title %}Liste index{% endblock %}

{% block body %}
    <div class="mt-3">
        <h1 class="d-inline">Mes listes</h1>
        <a id="newListe" href="{{ path('liste_new') }}" class="mb-3 btn btn-success rounded-circle">
            +
        </a>
   </div>
    

    <div class="row m-auto">
    {% for liste in listes %}
        <div class="list col-sm-3 m-2 bg-dark text-white" id="liste-{{ liste.id }}">
            <div class="mt-2 mb-2 pb-2 liste-info d-flex justify-content-between border-bottom">
                <a href="{{ path('liste_show', {id : liste.id}) }}" data-list="{{ liste.id }}" style="color:white">{{ liste.title }}</a>
                <form method="post" action="{{ path('liste_delete', {'id': liste.id}) }}" onsubmit="return confirm('Voulez vous vraiment supprimer la liste ?');">
                    <input type="hidden" name="_method" value="DELETE">
                    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ liste.id) }}">
                    <button class="btn btn-sm btn-outline-danger">X</button>
                </form>
            </div>

            <div class="liste-content">
                <ul>
                {% for item in liste.items %}
                    {% if not item.isCheck %}
                        <li>{{ item.label }}</li>
                    {% endif %}
                {% endfor %}
                </ul>

                
                
                {% for item in liste.items %}
                    {% if item.isCheck %}
                        {% if loop.first %}
                            Elements cochés :
                            <ul>
                        {% endif %}
                        <li><del>{{ item.label }}</del></li>
                    {% endif %}
                    {% if loop.last %}
                        </ul>
                    {% endif %}
                {% endfor %}
                </ul>
            </div>
        </div>
    {% else %}
        Vous n'avez pas encore de listes
    {% endfor %}
    </div>
{% endblock %}
